SchoolScout API
Lists

Create list

Create a new list. **Free (0 credits).**

POST
/lists

Create a new list. Free (0 credits).

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Request Body

application/json

name*string

List display name

entity_type*string

Entity type

Value in"district" | "school" | "contact"
description?string

Optional description

color?string

Hex color for UI display

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/lists" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "entity_type": "district"  }'
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "user_id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "string",
    "entity_type": "district",
    "description": "string",
    "color": "string",
    "item_count": -9007199254740991,
    "created_at": "string",
    "updated_at": "string"
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}